---
- entityDefinitions:
  - IDR_Get_Instance_Set_By_System_Routine_Method__returns__Work_Set: "{595f738c-1c44-401b-ac5f-4fc596d658e3}"
  - IDR_Work_Set__returned_by__Get_Instance_Set_By_System_Routine_Method: "{a9a7ba49-46b2-4cf0-9e9b-86e1841a75f7}"

  #- IDR_Get_Instance_Set_By_System_Routine_Method__returns__Instance_Set: '{84a864fe-84de-4901-a`1c-1e103dc56aed}'
  #- IDR_Instance_Set__returned_by__Get_Instance_Set_By_System_Routine_Method: '{1119c5a3-4c52-4d1a-a2d7-4a9224e2d9e0}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_GetInstanceSetBySystemRoutineMethod;'
    inherits:  '&IDC_Method;'
    name:      GSS - Get Instance Set By System Routine Method
    index:     65
    customTagName: getInstanceSetBySystemRoutineMethod
    instancesLabeledByRAMB: '&IDMB_Method__get__Fully_Qualified_Name_GSS;'
    superclasses:
    - instance: '&IDC_Method;'
    - instance: '&IDC_ExecutableReturningInstanceSet;'
    attributes:
    - instance: '&IDA_Verb;'
      customTagName: 'verb'
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    - instance: '&IDA_Final;'
      customTagName: 'final'
    relationships:
    - instance: '&IDR_Method__for__Class;'
      customTagName: 'forClassId'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Get_Instance_Set_By_System_Routine_Method__returns__Work_Set;'
      customTagName: 'returnsWorkSetId'
    - instance: '&IDR_Get_Instance_Set_By_System_Routine_Method__uses__System_Instance_Set_Routine;'
      customTagName: 'systemInstanceSetRoutineId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'

  - relationship: '&IDR_Get_Instance_Set_By_System_Routine_Method__returns__Work_Set;'
    index: 125
    sourceClassId: '&IDC_GetInstanceSetBySystemRoutineMethod;'
    type: 'returns'
    destinationClassId: '&IDC_WorkSet;'
    siblingRelationshipId: '&IDR_Work_Set__returned_by__Get_Instance_Set_By_System_Routine_Method;'
    singular: yes

  - relationship: '&IDR_Work_Set__returned_by__Get_Instance_Set_By_System_Routine_Method;'
    index: 126
    sourceClassId: '&IDC_WorkSet;'
    type: 'returned by'
    destinationClassId: '&IDC_GetInstanceSetBySystemRoutineMethod;'
    siblingRelationshipId: '&IDR_Get_Instance_Set_By_System_Routine_Method__returns__Work_Set;'
    singular: no

  - relationship: '&IDR_Get_Instance_Set_By_System_Routine_Method__uses__System_Instance_Set_Routine;'
    index: 131
    sourceClassId: '&IDC_GetInstanceSetBySystemRoutineMethod;'
    type: 'uses'
    destinationClassId: '&IDC_SystemInstanceSetRoutine;'
    siblingRelationshipId: '&IDR_System_Instance_Set_Routine__used_by__Get_Instance_Set_By_System_Routine_Method;'
    singular: yes

  - relationship: '&IDR_System_Instance_Set_Routine__used_by__Get_Instance_Set_By_System_Routine_Method;'
    index: 132
    sourceClassId: '&IDC_SystemInstanceSetRoutine;'
    type: 'used by'
    destinationClassId: '&IDC_GetInstanceSetBySystemRoutineMethod;'
    siblingRelationshipId: '&IDR_Get_Instance_Set_By_System_Routine_Method__uses__System_Instance_Set_Routine;'
    singular: no
